Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.beans.metadata.plugins
Class AbstractListMetaData

    java.lang.Object
      org.jboss.util.JBossObject
          org.jboss.beans.metadata.plugins.AbstractValueMetaData
              org.jboss.beans.metadata.plugins.AbstractTypeMetaData
                  org.jboss.beans.metadata.plugins.AbstractCollectionMetaData
                      org.jboss.beans.metadata.plugins.AbstractListMetaData

All Implemented Interfaces:
  Cloneable, Collection, org.jboss.util.JBossInterface, List, MetaDataVisitorNode, ValueMetaData

Direct Known Subclasses:
  AbstractArrayMetaData

public class AbstractListMetaData
extends AbstractCollectionMetaData
implements List

List metadata.

Version:
  $Revision: 1.3 $
Author:
  Adrian Brock

Field Summary

Fields inherited from class org.jboss.beans.metadata.plugins.AbstractCollectionMetaData
`collection, elementType`

Fields inherited from class org.jboss.beans.metadata.plugins.AbstractTypeMetaData
`configurator, type`

Fields inherited from class org.jboss.beans.metadata.plugins.AbstractValueMetaData
`value`

Fields inherited from class org.jboss.util.JBossObject
`hashCode, log, toString`

Constructor Summary
`AbstractListMetaData()` Create a new list value

Method Summary
`void` | `add(int index, Object element)`
`boolean` | `addAll(int index, Collection c)`
`Object` | `get(int index)`
`int` | `indexOf(Object o)`
`int` | `lastIndexOf(Object o)`
`ListIterator` | `listIterator()`
`ListIterator` | `listIterator(int index)`
`Object` | `remove(int index)`
`Object` | `set(int index, Object element)`
`List` | `subList(int fromIndex, int toIndex)`
`void` | `toString(org.jboss.util.JBossStringBuilder buffer)`

Methods inherited from class org.jboss.beans.metadata.plugins.AbstractCollectionMetaData
`add, addAll, clear, contains, containsAll, getChildren, getCollectionInstance, getDefaultCollectionInstance, getElementClassInfo, getElementType, getValue, isEmpty, iterator, remove, removeAll, retainAll, setElementType, size, toArray, toArray`

Methods inherited from class org.jboss.beans.metadata.plugins.AbstractTypeMetaData
`getClassInfo, getType, setConfigurator, setType, visit`

Methods inherited from class org.jboss.beans.metadata.plugins.AbstractValueMetaData
`getUnderlyingValue, getValue, setValue, toShortString`

Methods inherited from class org.jboss.util.JBossObject
`cacheGetHashCode, cacheToString, clone, equals, flushJBossObjectCache, getClassShortName, getHashCode, hashCode, list, notEqual, toShortString, toString, toStringImplementation`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Methods inherited from interface org.jboss.util.JBossInterface
`clone, toShortString`

Constructor Detail

### AbstractListMetaData

    public AbstractListMetaData()

  Create a new list value

Method Detail

### add

    public void add(int index,
                    Object element)

  Specified by:
    `add` in interface `List`

### addAll

    public boolean addAll(int index,
                          Collection c)

  Specified by:
    `addAll` in interface `List`

### get

    public Object get(int index)

  Specified by:
    `get` in interface `List`

### indexOf

    public int indexOf(Object o)

  Specified by:
    `indexOf` in interface `List`

### lastIndexOf

    public int lastIndexOf(Object o)

  Specified by:
    `lastIndexOf` in interface `List`

### listIterator

    public ListIterator listIterator()

  Specified by:
    `listIterator` in interface `List`

### listIterator

    public ListIterator listIterator(int index)

  Specified by:
    `listIterator` in interface `List`

### remove

    public Object remove(int index)

  Specified by:
    `remove` in interface `List`

### set

    public Object set(int index,
                      Object element)

  Specified by:
    `set` in interface `List`

### subList

    public List subList(int fromIndex,
                        int toIndex)

  Specified by:
    `subList` in interface `List`

### toString

    public void toString(org.jboss.util.JBossStringBuilder buffer)

  Overrides:
    `toString` in class `AbstractCollectionMetaData`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.